declare function updateVersion(pack: string): void;

declare const getDay: () => number;
declare const getMonth: () => number;
declare const getYear: () => number;
declare const getDate: () => Date;

declare function parsePath(path: string): string;
declare function findFolder(directory: string, nameFolder: string): string | null;
declare function createFolderIfNotExists(rutaCarpeta: string): void;
declare function copyFolder(origin: string, destiny: string): void;

declare const formatToCLP: (valor: string) => {
    result: string;
    number: number;
};
declare function formatCapitalizeFirstLetter(texto: string): string;
declare function withoutCharacterSpecial(chain: string): string;

declare function FormData(formData: FormData, params: Record<string, any>): FormData;
declare function FormDataFile(formData: FormData, nameFile: string, FileList: FileList | undefined): FormData;

declare const downloadImage: (url: string) => Promise<void>;

declare function randomAlphaNumeric(length: number): string;

declare function simulatePromise(result: any): Promise<unknown>;
declare function simulatePromiseRandom(result: any): Promise<unknown>;
declare function simulatePromiseRandomWith3seconds(result: any): Promise<unknown>;

declare const validateRut: (rut: string) => boolean;
declare function isURL(cadena: string): boolean;

export { FormData, FormDataFile, copyFolder, createFolderIfNotExists, downloadImage, findFolder, formatCapitalizeFirstLetter, formatToCLP, getDate, getDay, getMonth, getYear, isURL, parsePath, randomAlphaNumeric, simulatePromise, simulatePromiseRandom, simulatePromiseRandomWith3seconds, updateVersion, validateRut, withoutCharacterSpecial };
