export function FormData(formData: FormData, params: Record<string, any>): FormData {
  // Iterar sobre los archivos y agregarlos al FormData

  const data = Object.entries(params)

  for (const [key, value] of data) {
    if (value) formData.append(key, value)
  }

  return formData
}

export function FormDataFile(formData: FormData, nameFile: string, FileList: FileList | undefined): FormData {
  // Iterar sobre los archivos y agregarlos al FormData

  if (FileList) {
    for (var i = 0; i < FileList.length; i++) {
      var file = FileList[i]

      // Agregar cada archivo al FormData con un nombre único
      formData.append(nameFile, file, file.name)
    }
  }
  return formData
}
